LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XFormsSupplier Interface Reference

provides access to the XForms models contained in the component More...

`import"XFormsSupplier.idl";`

Inheritance diagram for XFormsSupplier:

## Public Member Functions
com::sun::star::container::XNameContainer | getXForms ()
| access XForms model container. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to the XForms models contained in the component

## Member Function Documentation

com::sun::star::container::XNameContainer getXForms | ( |  | ) |

access XForms model container.

Returns
  a container for the XForms models contained in the component

The documentation for this interface was generated from the following file:

- com/sun/star/xforms/XFormsSupplier.idl